Subject: Re: undefined reference to `GetStockObject@4' ??
From: [email-masked] (Bart Anderson)

24 Mar 1998 10:20:13 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Jason Dagit wrote:
> 
> Hello,
> 
> I'm a still a newbie and I'm still having troubles.  Could someone help
> me figure out why gcc can't find GetStockObject on my configuration?
> The command line I use is:
> gcc -ofoo.exe foo.c -lkernel32 -luser32 -Wl,--subsystem,windows

try adding -lgdi32 and removing -lkernel32
That should take care of that one and the next one where it might not
run because of duplicate links against the kernel. That's a common
problem that has been reported in the list many times. There are a few
things that are automatically added via the specs file.

> 
> My guess is that I'm not linking a lib that I should be.  Or else, one
> of my header files or libs is missing the definition of GetStockObject,
> but that seems less likely.
> 
> The line in my code that called GetStockObject is:
> wc.hbrBackground = (HBRUSH) GetStockObject(WHITE_BRUSH);
> 
> Thank you,
> Jason
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-- 
Bartlee A. Anderson     System Test (Interfaces-Tools-Automation-ISDN)
Rockwell International                    Electronic Commerce Division
300 Bauman Ct.                                [email-masked]
MS 933-605      Opinions my own, not Rockwell's   VOICE (630) 227-8975
Wood Dale, IL 60191                               FAX   (630) 227-9771
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".